# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update mime database
if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
	rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi

( cd usr/lib ; rm -rf libvala-0.20.so )
( cd usr/lib ; ln -sf libvala-0.20.so.0.0.0 libvala-0.20.so )
( cd usr/lib ; rm -rf libvala-0.20.so.0 )
( cd usr/lib ; ln -sf libvala-0.20.so.0.0.0 libvala-0.20.so.0 )
( cd usr/bin ; rm -rf vala-0.20 )
( cd usr/bin ; ln -sf valac-0.20 vala-0.20 )
( cd usr/bin ; rm -rf vala-gen-introspect )
( cd usr/bin ; ln -sf vala-gen-introspect-0.20 vala-gen-introspect )
( cd usr/bin ; rm -rf valac )
( cd usr/bin ; ln -sf valac-0.20 valac )
( cd usr/bin ; rm -rf vapigen )
( cd usr/bin ; ln -sf vapigen-0.20 vapigen )
( cd usr/bin ; rm -rf vala )
( cd usr/bin ; ln -sf vala-0.20 vala )
( cd usr/bin ; rm -rf vapicheck )
( cd usr/bin ; ln -sf vapicheck-0.20 vapicheck )
( cd usr/man/man1 ; rm -rf vapigen.1 )
( cd usr/man/man1 ; ln -sf vapigen-0.20.1 vapigen.1 )
( cd usr/man/man1 ; rm -rf vala-gen-introspect.1 )
( cd usr/man/man1 ; ln -sf vala-gen-introspect-0.20.1 vala-gen-introspect.1 )
( cd usr/man/man1 ; rm -rf valac.1 )
( cd usr/man/man1 ; ln -sf valac-0.20.1 valac.1 )
( cd usr/share/pkgconfig ; rm -rf vapigen.pc )
( cd usr/share/pkgconfig ; ln -sf vapigen-0.20.pc vapigen.pc )
